/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Qualcomm #define SDM670 interconnect IDs
 *
 * Copyright (c) 2020, The Linux Foundation. All rights reserved.
 */

#ifndef __DRIVERS_INTERCONNECT_QCOM_SDM670_H
#define __DRIVERS_INTERCONNECT_QCOM_SDM670_H

#define SDM670_MASTER_A1NOC_CFG			0
#define SDM670_MASTER_A1NOC_SNOC		1
#define SDM670_MASTER_A2NOC_CFG			2
#define SDM670_MASTER_A2NOC_SNOC		3
#define SDM670_MASTER_AMPSS_M0			4
#define SDM670_MASTER_BLSP_1			5
#define SDM670_MASTER_BLSP_2			6
#define SDM670_MASTER_CAMNOC_HF0		7
#define SDM670_MASTER_CAMNOC_HF0_UNCOMP		8
#define SDM670_MASTER_CAMNOC_HF1		9
#define SDM670_MASTER_CAMNOC_HF1_UNCOMP		10
#define SDM670_MASTER_CAMNOC_SF			11
#define SDM670_MASTER_CAMNOC_SF_UNCOMP		12
#define SDM670_MASTER_CNOC_A2NOC		13
#define SDM670_MASTER_CNOC_DC_NOC		14
#define SDM670_MASTER_CNOC_MNOC_CFG		15
#define SDM670_MASTER_CRYPTO_CORE_0		16
#define SDM670_MASTER_EMMC			17
#define SDM670_MASTER_GIC			18
#define SDM670_MASTER_GNOC_CFG			19
#define SDM670_MASTER_GNOC_MEM_NOC		20
#define SDM670_MASTER_GNOC_SNOC			21
#define SDM670_MASTER_GRAPHICS_3D		22
#define SDM670_MASTER_IPA			23
#define SDM670_MASTER_LLCC			24
#define SDM670_MASTER_MDP_PORT0			25
#define SDM670_MASTER_MDP_PORT1			26
#define SDM670_MASTER_MEM_NOC_CFG		27
#define SDM670_MASTER_MEM_NOC_SNOC		28
#define SDM670_MASTER_MNOC_HF_MEM_NOC		29
#define SDM670_MASTER_MNOC_SF_MEM_NOC		30
#define SDM670_MASTER_PIMEM			31
#define SDM670_MASTER_QDSS_BAM			32
#define SDM670_MASTER_QDSS_ETR			33
#define SDM670_MASTER_ROTATOR			34
#define SDM670_MASTER_SDCC_2			35
#define SDM670_MASTER_SDCC_4			36
#define SDM670_MASTER_SNOC_CFG			37
#define SDM670_MASTER_SNOC_CNOC			38
#define SDM670_MASTER_SNOC_GC_MEM_NOC		39
#define SDM670_MASTER_SNOC_SF_MEM_NOC		40
#define SDM670_MASTER_SPDM			41
#define SDM670_MASTER_TCU_0			42
#define SDM670_MASTER_TSIF			43
#define SDM670_MASTER_UFS_MEM			44
#define SDM670_MASTER_USB3			45
#define SDM670_MASTER_VIDEO_P0			46
#define SDM670_MASTER_VIDEO_P1			47
#define SDM670_MASTER_VIDEO_PROC		48
#define SDM670_SLAVE_A1NOC_CFG			49
#define SDM670_SLAVE_A1NOC_SNOC			50
#define SDM670_SLAVE_A2NOC_CFG			51
#define SDM670_SLAVE_A2NOC_SNOC			52
#define SDM670_SLAVE_AOP			53
#define SDM670_SLAVE_AOSS			54
#define SDM670_SLAVE_APPSS			55
#define SDM670_SLAVE_BLSP_1			56
#define SDM670_SLAVE_BLSP_2			57
#define SDM670_SLAVE_CAMERA_CFG			58
#define SDM670_SLAVE_CAMNOC_UNCOMP		59
#define SDM670_SLAVE_CDSP_CFG			60
#define SDM670_SLAVE_CLK_CTL			61
#define SDM670_SLAVE_CNOC_A2NOC			62
#define SDM670_SLAVE_CNOC_DDRSS			63
#define SDM670_SLAVE_CNOC_MNOC_CFG		64
#define SDM670_SLAVE_CRYPTO_0_CFG		65
#define SDM670_SLAVE_DCC_CFG			66
#define SDM670_SLAVE_DISPLAY_CFG		67
#define SDM670_SLAVE_EBI_CH0			68
#define SDM670_SLAVE_EMMC_CFG			69
#define SDM670_SLAVE_GLM			70
#define SDM670_SLAVE_GNOC_MEM_NOC		71
#define SDM670_SLAVE_GNOC_SNOC			72
#define SDM670_SLAVE_GRAPHICS_3D_CFG		73
#define SDM670_SLAVE_IMEM_CFG			74
#define SDM670_SLAVE_IPA_CFG			75
#define SDM670_SLAVE_LLCC			76
#define SDM670_SLAVE_LLCC_CFG			77
#define SDM670_SLAVE_MEM_NOC_CFG		78
#define SDM670_SLAVE_MEM_NOC_GNOC		79
#define SDM670_SLAVE_MEM_NOC_SNOC		80
#define SDM670_SLAVE_MNOC_HF_MEM_NOC		81
#define SDM670_SLAVE_MNOC_SF_MEM_NOC		82
#define SDM670_SLAVE_MSS_PROC_MS_MPU_CFG	83
#define SDM670_SLAVE_OCIMEM			84
#define SDM670_SLAVE_PDM			85
#define SDM670_SLAVE_PIMEM			86
#define SDM670_SLAVE_PIMEM_CFG			87
#define SDM670_SLAVE_PRNG			88
#define SDM670_SLAVE_QDSS_CFG			89
#define SDM670_SLAVE_QDSS_STM			90
#define SDM670_SLAVE_RBCPR_CX_CFG		91
#define SDM670_SLAVE_SDCC_2			92
#define SDM670_SLAVE_SDCC_4			93
#define SDM670_SLAVE_SERVICE_A1NOC		94
#define SDM670_SLAVE_SERVICE_A2NOC		95
#define SDM670_SLAVE_SERVICE_CNOC		96
#define SDM670_SLAVE_SERVICE_GNOC		97
#define SDM670_SLAVE_SERVICE_MEM_NOC		98
#define SDM670_SLAVE_SERVICE_MNOC		99
#define SDM670_SLAVE_SERVICE_SNOC		100
#define SDM670_SLAVE_SNOC_CFG			101
#define SDM670_SLAVE_SNOC_CNOC			102
#define SDM670_SLAVE_SNOC_MEM_NOC_GC		103
#define SDM670_SLAVE_SNOC_MEM_NOC_SF		104
#define SDM670_SLAVE_SOUTH_PHY_CFG		105
#define SDM670_SLAVE_SPDM_WRAPPER		106
#define SDM670_SLAVE_TCSR			107
#define SDM670_SLAVE_TCU			108
#define SDM670_SLAVE_TLMM_NORTH			109
#define SDM670_SLAVE_TLMM_SOUTH			110
#define SDM670_SLAVE_TSIF			111
#define SDM670_SLAVE_UFS_MEM_CFG		112
#define SDM670_SLAVE_USB3			113
#define SDM670_SLAVE_VENUS_CFG			114
#define SDM670_SLAVE_VSENSE_CTRL_CFG		115

#endif
